Subject: bug#57781: missing wallpaper command

From: Stefan Kangas <[email-masked]>
Date: Fri, 16 Sep 2022 17:09:51 -0400

Felix <[email-masked]> writes:

> swaybg and wbg are starting a new instance each time wallpaper-set is
> called. That means that if wallpaper-set is used more than once in an emacs session, multiple
> wallpapers set.
> In case of wallpaper applications that work like that, running instances
> of wbg/swaybg should be terminated before loading new once.
>
> with those "stand-alone" wallpaper applications, the wallpaper process
> is attached to emacs if wallpaper-set is used.
> With that the wallpaper only stays as long as emacs is running.
> I think the process should be detached from emacs.

Right, okay.  I will have to think about how to implement support for
this, because it's not something that wallpaper.el can currently handle.

> I'm not shure if that information is useful,
> please let me know if it is, or if there is something i should test next.

It is very useful, thanks!

You could take a look at my other email where I had some followup
questions.